# AODataView

Displays an application ordering.

### Synopsis

    #include "petscao.h"
    PetscErrorCode AODataView(AOData aodata,PetscViewer viewer)

Collective on AOData and PetscViewer

### Input Parameters

| aodata | - the database
| viewer | - viewer used for display

The available visualization contexts include

| PETSC_VIEWER_STDOUT_SELF | - standard output (default)
| PETSC_VIEWER_STDOUT_WORLD | - synchronized standard output where only the first processor opens the file. All other processors send their data to the first processor to print.

The user can open an alternative visualization context with PetscViewerASCIIOpen() - output to a specified file.

### Keywords

database viewing

### See Also

PetscViewerASCIIOpen()

Level:intermediate
Location:src/dm/ao/interface/aodata.c
Index of all AO routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/dm/ao/examples/tutorials/ex1.c.html